summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-03-24 10:32:42 +0000
committerV3n3RiX <venerix@rogentos.ro>2016-03-24 10:32:42 +0000
commit60c407e75be77408fdfce8f9351c635c0a6ca79d (patch)
tree13537555159f737ae7eeee3bafc8a01c20623f7e
parent63405357788c5c57b53bce87c8a0f2f11af987f5 (diff)
set grub timeout to 5 seconds, bump artwork-grub to match with bootcore
-rw-r--r--sys-boot/grub/files/grub.default-32
-rw-r--r--x11-themes/kogaion-artwork-grub/Manifest1
-rw-r--r--x11-themes/kogaion-artwork-grub/kogaion-artwork-grub-3.0.ebuild (renamed from x11-themes/kogaion-artwork-grub/kogaion-artwork-grub-2.2.ebuild)20
3 files changed, 9 insertions, 14 deletions
diff --git a/sys-boot/grub/files/grub.default-3 b/sys-boot/grub/files/grub.default-3
index d9975665..9e41a346 100644
--- a/sys-boot/grub/files/grub.default-3
+++ b/sys-boot/grub/files/grub.default-3
@@ -15,7 +15,7 @@ GRUB_DISTRIBUTOR="Kogaion"
#GRUB_DEFAULT=0
# Boot the default entry this many seconds after the menu is displayed
-#GRUB_TIMEOUT=5
+GRUB_TIMEOUT="5"
#GRUB_TIMEOUT_STYLE=menu
# Append parameters to the linux kernel command line for non-recovery entries
diff --git a/x11-themes/kogaion-artwork-grub/Manifest b/x11-themes/kogaion-artwork-grub/Manifest
deleted file mode 100644
index 7827064e..00000000
--- a/x11-themes/kogaion-artwork-grub/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST kogaion-artwork-grub-2.2.tar.gz 377295 SHA256 8ada6bb42d0ac52ad8b2775918947d255131155172787ed9a68b2cca1ab3a071 SHA512 0ff3779d249e440014db925eb55c76f14a7959d2c099e61ede6b50c81b6d8124f353d37b55f1a46067c87a842681773031f1018dde2be60fba80c41cc9e77b5c WHIRLPOOL bbd07117f7e1b333302f7f660aff96ca59a126054b931f8812fdd807bd0532c360d81bbedd806904184b6644b40e31326de9f55f259cbcb3fa32488146b2ca06
diff --git a/x11-themes/kogaion-artwork-grub/kogaion-artwork-grub-2.2.ebuild b/x11-themes/kogaion-artwork-grub/kogaion-artwork-grub-3.0.ebuild
index 0538f003..e2b681fc 100644
--- a/x11-themes/kogaion-artwork-grub/kogaion-artwork-grub-2.2.ebuild
+++ b/x11-themes/kogaion-artwork-grub/kogaion-artwork-grub-3.0.ebuild
@@ -3,13 +3,15 @@
# Distributed under the terms of the GNU General Public License v2
# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
-EAPI=4
+EAPI=5
-inherit base mount-boot
+inherit base mount-boot git-2 eutils
DESCRIPTION="Kogaion-Linux GRUB2 Images"
HOMEPAGE="http://www.rogentos.ro"
-SRC_URI="http://pkg.rogentos.ro/distfiles/${CATEGORY}/${PN}/"${PN}"-${PV}.tar.gz"
+
+EGIT_BRANCH="master"
+EGIT_REPO_URI="https://gitlab.com/kogaion/boot-core.git"
LICENSE="CCPL-Attribution-ShareAlike-3.0"
SLOT="0"
@@ -21,13 +23,7 @@ RDEPEND=""
S="${WORKDIR}"
src_install () {
- dodir /usr/share/grub
- insinto /usr/share/grub
- doins default-splash.png
-}
-
-pkg_postinst() {
- local dir="${ROOT}"boot/grub
- cp "${ROOT}/usr/share/grub/default-splash.png" "${dir}/default-splash.png" || \
- ewarn "cannot install default splash file!"
+ dodir /usr/share/grub/themes || die
+ insinto /usr/share/grub/themes || die
+ doins -r "${S}"/cdroot/boot/grub/themes/kogaion || die
}